Sync libgtk2-perl 1:1.230-1 (main) from Debian unstable (main)

Bug #606431 reported by Artur Rona on 2010-07-16
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
libgtk2-perl (Ubuntu)
Wishlist
Unassigned

Bug Description

Please sync libgtk2-perl 1:1.230-1 (main) from Debian unstable (main)

Explanation of the Ubuntu delta and why it can be dropped:
Debian has included Ubuntu patches and now upstream has applied these patches.

Changelog entries since current maverick version 1:1.221-4ubuntu2:

libgtk2-perl (1:1.230-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream release
  * Add myself to Uploaders and Copyright
  * Update copyright information to more strictly conform to DEP5

  [ Salvatore Bonaccorso ]
  * Bump versioned (Build-)Depends on libglib-perl (>= 1:1.230).
  * debian/patches:
    - Drop gtktreeview_expand.patch applied upstream.
    - t/GtkPrintSettings.t fixed upstream, drop
      gtkprintsettings_default_return_values patch.
    - Drop git-fix-gtkassistant.patch applied upstream.
    - Drop git-fix-gtkbuildable.patch applied upstream.
    - Drop git-fix-test-failures-gtkaction.patch. t/GtkAction.t
      fixed upstream.

  [ gregor herrmann ]
  * Update years of upstream copyright.
  * Set Standards-Version to 3.9.0 (no changes).
  * Remove Conflicts against old libgtk2-perl-doc version from libgtk2-perl.

 -- gregor herrmann <email address hidden> Sun, 04 Jul 2010 18:55:32 +0200

libgtk2-perl (1:1.221-6) unstable; urgency=low

  * Add patch to fix test failures in GtkAction.t. Don't make assumptions
    about the number of proxies associated with the action. Thanks to Niko
    Tyni for reporting (Closes: #576493).
  * Refresh debian/copyright to revision 135 of Format-Specification for
    machine readable copyright file in DEP5 and update copyright for debian/*
    packaging.

 -- Salvatore Bonaccorso <email address hidden> Sun, 11 Apr 2010 19:07:52 +0200

libgtk2-perl (1:1.221-5) unstable; urgency=low

  [ gregor herrmann ]
  * New patches git-fix-gtkassistant.patch and git-fix-gtkbuildable.patch:
    upstream git changes to fix build issues on gtk 2.19; thanks to Sebastien
    Bacher for forwarding these patches from Ubuntu to us (closes: #573564).
  * Set Standards-Version to 3.8.4 (no changes).
  * Convert to source format 3.0 (quilt). Remove quilt framework.

  [ Damyan Ivanov ]
  * add -a option to xvfb-run invocation

 -- gregor herrmann <email address hidden> Sun, 04 Apr 2010 16:59:37 +0200

Benjamin Drung (bdrung) on 2010-07-18
Changed in libgtk2-perl (Ubuntu):
importance: Undecided → Wishlist
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libgtk2-perl - 1:1.230-1

---------------
libgtk2-perl (1:1.230-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream release
  * Add myself to Uploaders and Copyright
  * Update copyright information to more strictly conform to DEP5

  [ Salvatore Bonaccorso ]
  * Bump versioned (Build-)Depends on libglib-perl (>= 1:1.230).
  * debian/patches:
    - Drop gtktreeview_expand.patch applied upstream.
    - t/GtkPrintSettings.t fixed upstream, drop
      gtkprintsettings_default_return_values patch.
    - Drop git-fix-gtkassistant.patch applied upstream.
    - Drop git-fix-gtkbuildable.patch applied upstream.
    - Drop git-fix-test-failures-gtkaction.patch. t/GtkAction.t
      fixed upstream.

  [ gregor herrmann ]
  * Update years of upstream copyright.
  * Set Standards-Version to 3.9.0 (no changes).
  * Remove Conflicts against old libgtk2-perl-doc version from libgtk2-perl.

libgtk2-perl (1:1.221-6) unstable; urgency=low

  * Add patch to fix test failures in GtkAction.t. Don't make assumptions
    about the number of proxies associated with the action. Thanks to Niko
    Tyni for reporting (Closes: #576493).
  * Refresh debian/copyright to revision 135 of Format-Specification for
    machine readable copyright file in DEP5 and update copyright for debian/*
    packaging.

libgtk2-perl (1:1.221-5) unstable; urgency=low

  [ gregor herrmann ]
  * New patches git-fix-gtkassistant.patch and git-fix-gtkbuildable.patch:
    upstream git changes to fix build issues on gtk 2.19; thanks to Sebastien
    Bacher for forwarding these patches from Ubuntu to us (closes: #573564).
  * Set Standards-Version to 3.8.4 (no changes).
  * Convert to source format 3.0 (quilt). Remove quilt framework.

  [ Damyan Ivanov ]
  * add -a option to xvfb-run invocation
 -- Artur Rona <email address hidden> Sun, 04 Jul 2010 18:55:32 +0200

Changed in libgtk2-perl (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers